import React from "react";
import { Button, Tooltip, Divider, Dropdown } from "antd";
import { DownOutlined } from "@ant-design/icons";
import { useModel } from "umi";
export default function Toolbar() {
  const { addTable, addTopicArea, addRemark } = useModel("erModel");
  const scaleMenu = {
    style: {
      width: 200
    },
    items: [
      {
        key: "1",
        label: "25%",
      },
      {
        key: "2",
        label: "50%",
      },
      {
        key: "3",
        label: "75%",
      },
      {
        key: "4",
        label: "100%",
      },
      {
        key: "5",
        label: "150%",
      },
      {
        key: "6",
        label: "200%",
      },
    ]
  };
  
  return (
    <div className="flex items-center py-0px bg-#fafafa justify-center">
      <div className="group">
        <div className="flex items-center">
          <Tooltip title="撤销上一步操作">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-undo"></use>
              </svg>
            </div>
          </Tooltip>
          <Tooltip title="恢复上一步操作">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200 opacity-50">
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-redo"></use>
              </svg>
            </div>
          </Tooltip>
        </div>
      </div>

      <div className="h-30px border-transparent border-r-1px border-solid border-r-#eee m-x-8px"></div>

      <div className="group">
        <div className="flex items-center">
          <Tooltip title="创建表">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200" onClick={addTable}>
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-biaoge"></use>
              </svg>
            </div>
          </Tooltip>
          <Tooltip title="创建主题域">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200" onClick={addTopicArea}>
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-ditukuangxuan"></use>
              </svg>
            </div>
          </Tooltip>
          <Tooltip title="创建备注">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200" onClick={addRemark}>
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-beizhu"></use>
              </svg>
            </div>
          </Tooltip>
        </div>
      </div>

      <div className="h-30px border-transparent border-r-1px border-solid border-r-#eee m-x-8px"></div>

      <div className="group">
        <div className="flex items-center">
          <Tooltip title="保存模型">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-baocun"></use>
              </svg>
            </div>
          </Tooltip>
          <Tooltip title="待办项">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200 opacity-50">
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-daiban"></use>
              </svg>
            </div>
          </Tooltip>
        </div>
      </div>

      <div className="h-30px border-transparent border-r-1px border-solid border-r-#eee m-x-8px"></div>

      <div className="group">
        <div className="flex items-center">
          <Tooltip title="放大">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200">
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-suofangda"></use>
              </svg>
            </div>
          </Tooltip>
          <Tooltip title="缩小">
            <div className="btn flex flex-col items-center cursor-pointer py-4px px-10px hover:bg-gray-200 opacity-50">
              <svg className="icon h-24px w-24px" aria-hidden="true">
                <use xlinkHref="#icon-suofangxiao"></use>
              </svg>
            </div>
          </Tooltip>
          <Dropdown menu={scaleMenu}>
            <span className="text-14px leading-18px">
              <span>100%</span>
              <DownOutlined className="text-12px ml-4px"/>
            </span>
          </Dropdown>
        </div>
      </div>
    </div>
  );
}
